GLISVERTEXARRAY(3G)

NAME
glIsVertexArray - determine if a name corresponds to a vertex array object

C SPECIFICATION

GLboolean glIsVertexArray(GLuint array);

PARAMETERS

array
    Specifies a value that may be the name of a vertex array object.

DESCRIPTION

glIsVertexArray returns GL_TRUE if array is currently the name of a vertex array object. If array is zero, or if array is not the name of a vertex array object, or if an error occurs, glIsVertexArray returns GL_FALSE. If array is a name returned by glGenVertexArrays(), by that has not yet been bound through a call to glBindVertexArray(), then the name is not a vertex array object and glIsVertexArray returns GL_FALSE.

SEE ALSO

glGenVertexArrays(), glBindVertexArray(), glDeleteVertexArrays()

COPYRIGHT

Copyright © 2010-2013 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

AUTHORS

opengl.org